# $Revision: 1.14 $, $Date: 2005/09/17 10:33:56 $
Summary:	Linux Audio Developer's Configuration and Connection API
Summary(pl):	Biblioteka LADCCA (Linux Audio Developer's Configuration and Connection API)
Name:		ladcca
Version:	0.4.0
Release:	2
License:	GPL
Group:		Applications/Multimedia
Source0:	http://lash-audio-session-handler.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	ffaff8a1ef560eb14bed3eb684ca4159
Patch0:		%{name}-compile.patch
URL:		http://lash-audio-session-handler.org/
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	jack-audio-connection-kit-devel >= 0.50.0
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	tetex
Requires(post,postun):	/sbin/ldconfig
Requires(post):	grep
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LADCCA is a session management system for JACK and ALSA audio
applications on Linux.

%description -l pl
LADCCA jest zarzdc sesji dla JACK-a i ALSA oraz opartych o nie
programw dla Linuksa.

%package devel
Summary:	Development files for LADCCA
Summary(pl):	Pliki nagwkowe biblioteki LADCCA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuuid-devel
Obsoletes:	ladcca-docs

%description devel
This package contains header files for the LADCCA library.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe biblioteki LADCCA.

%package static
Summary:	Static LADCCA library
Summary(pl):	Statyczna wersja biblioteki LADCCA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static LADCCA library.

%description static -l pl
Ten pakiet zawiera bibliotek statyczn LADCCA.

%prep
%setup -q
%patch0 -p1

%build
cp /usr/share/automake/config.sub .
%configure \
	--disable-serv-inst
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

if ! grep -q ^ladcca /etc/services; then
	echo -e "\nladcca\t\t14541/tcp\t\t\t# LADCCA client/server protocol" >> /etc/services
fi

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/ladcca*
%attr(755,root,root) %{_libdir}/libladcca.so.*.*
%{_datadir}/ladcca
%{_infodir}/ladcca-manual*

%files devel
%defattr(644,root,root,755)
%doc docs/{api-proposal.html,*-split/*.html}
%attr(755,root,root) %{_libdir}/libladcca.so
%{_libdir}/libladcca.la
%{_includedir}/ladcca-1.0
%{_pkgconfigdir}/ladcca-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libladcca.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ladcca.spec,v $
Revision 1.14  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.13  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.12  2004/11/04 19:32:11  ankry
- pl fix

Revision 1.11  2004/10/10 09:42:12  pluto
- url fixed (changed project name from LADCCA to LASH).

Revision 1.10  2004/04/06 23:46:50  adgor
- Refreshing onfig.sub
- Strict internal deps

Revision 1.9  2003/10/24 21:58:55  freetz
- it's default setting - not needed

Revision 1.8  2003/10/23 20:03:22  qboosh
- updated to 0.4.0, removed obsolete include patch
- updated deps and files list, register services entry in post (add it to setup?)

Revision 1.7  2003/10/11 08:51:57  freetz
- include limits.h patch

Revision 1.6  2003/10/09 10:08:24  qboosh
- s/e2fsprogs/libuuid/, release 2

Revision 1.5  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.4  2003/05/25 05:49:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/13 15:06:31  qboosh
- BR+R e2fsprogs-devel (it uses libuuid)

Revision 1.2  2003/05/06 09:49:34  qboosh
- fixed mess with descriptions
- removed duplicated doc, merged -docs into -devel
- removed COPYING (just GPL) and INSTALL (generic) from doc
- added post/postun

Revision 1.1  2003/05/03 13:51:11  luzik
- initial release from Fryderyk Dziarmagowski <freetz@gmx.net>
